Patch fiat_currency (Admin)
curl --request PATCH \
--url https://crypto.westminister.tech/api/v1/auth/fiat-currencies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fiat_currency": {
"display_name": "<string>",
"fraction_digits": 9,
"sort_order": 123,
"is_active": true
}
}
'import requests
url = "https://crypto.westminister.tech/api/v1/auth/fiat-currencies/{id}"
payload = { "fiat_currency": {
"display_name": "<string>",
"fraction_digits": 9,
"sort_order": 123,
"is_active": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fiat_currency: {display_name: '<string>', fraction_digits: 9, sort_order: 123, is_active: true}
})
};
fetch('https://crypto.westminister.tech/api/v1/auth/fiat-currencies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fiat_currency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iso_code": "<string>",
"display_name": "<string>",
"fraction_digits": 123,
"sort_order": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Fiat Currencies
Patch fiat_currency (Admin)
Admin only. At least one updatable field is required. Send nested { "fiat_currency": { ... } } or partial fields at the root.
PATCH
/
api
/
v1
/
auth
/
fiat-currencies
/
{id}
Patch fiat_currency (Admin)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
- Option 1
- Option 2
AT LEAST ONE PROPERTY MUST BE SET. THE SERVER REJECTS EMPTY PATCHES.
Show child attributes
Show child attributes
Response
Updated
Show child attributes
Show child attributes
⌘I